CacheRefreshUtil
Date: 2014-11-12

org.gcube.informationsystem.cache.consistency.manager.poll

## Class CacheRefreshUtil

- java.lang.Object
- - org.gcube.informationsystem.cache.consistency.manager.poll.CacheRefreshUtil

-     public class CacheRefreshUtil
      extends java.lang.Object

  Author:
    paul

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheRefreshUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Set<org.apache.axis.message.addressing.EndpointReference>` | `getEPRs(Srv service)` get EPRs for the given service
    `static java.util.Set<org.apache.axis.message.addressing.EndpointReference>` | `getEPRs(Srv service, java.lang.String serviceType)` Get EPRs for the given type of the given service
    `protected static void` | `refreshService(Srv service)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheRefreshUtil

          public CacheRefreshUtil()

  - ### Method Detail

    - #### getEPRs

          public static java.util.Set<org.apache.axis.message.addressing.EndpointReference> getEPRs(Srv service)
                                                                                             throws java.lang.Exception

      get EPRs for the given service
      Parameters:
        `service` - service
      Returns:
        EPRs for the given service
      Throws:
        `java.lang.Exception` - in case of error

    - #### getEPRs

          public static java.util.Set<org.apache.axis.message.addressing.EndpointReference> getEPRs(Srv service,
                                                                                    java.lang.String serviceType)
                                                                                             throws java.lang.Exception

      Get EPRs for the given type of the given service
      Parameters:
        `service` - service
        `serviceType` - service type
      Returns:
        EPRs for the given type of the given service
      Throws:
        `java.lang.Exception` - in case of error

    - #### refreshService

          protected static void refreshService(Srv service)
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`